### Class

# Foundry LspCompletionProposal

#### Description

    final class Foundry.LspCompletionProposal : Foundry.CompletionProposal
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- FoundryCompletionProposal
- GObject

#### Instance methods

##### Methods inherited from FoundryCompletionProposal (6)

###### foundry_completion_proposal_dup_after

No description available.

###### foundry_completion_proposal_dup_comment

No description available.

###### foundry_completion_proposal_dup_details

No description available.

###### foundry_completion_proposal_dup_icon

No description available.

###### foundry_completion_proposal_dup_snippet_text

If the proposal supports inserting a snippet, then this contains the text of that snippet.

###### foundry_completion_proposal_dup_typed_text

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FoundryCompletionProposal (5)

###### Foundry.CompletionProposal:after

No description available.

###### Foundry.CompletionProposal:comment

No description available.

###### Foundry.CompletionProposal:details

No description available.

###### Foundry.CompletionProposal:icon

No description available.

###### Foundry.CompletionProposal:typed-text

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryLspCompletionProposalClass {
      FoundryCompletionProposalClass parent_class;

    }

No description available.

###### Class members

`parent_class: FoundryCompletionProposalClass`

  No description available.